import { Version } from '@microsoft/sp-core-library';
import { BaseClientSideWebPart, IPropertyPaneConfiguration } from '@microsoft/sp-webpart-base';
import { IBannerWpWebPartProps } from './IBannerWpWebPartProps';
export default class BannerWpWebPart extends BaseClientSideWebPart<IBannerWpWebPartProps> {
    private supportedLanguageIds;
    private bannerWpFields;
    private options;
    constructor();
    render(): void;
    protected readonly dataVersion: Version;
    protected getPropertyPaneConfiguration(): IPropertyPaneConfiguration;
    /**
     * Uses Sharepoint API to retrieve a list of picture lists and add it to the options of the dropdown on the property pane.
     */
    private _getLists();
    /**
     * Uses the Sharepoint API to create a new list with the active custom field.
     */
    private _createNewList(elem);
    /**
     * Renders the custom upload button on the Property Pane.
     * @param elem Html HTMLElement onto which to load the button.
     */
    private _customFieldRender(elem);
}
