"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var React = require("react");
var pnp = require("sp-pnp-js");
var react_image_gallery_1 = require("react-image-gallery");
require("react-image-gallery/styles/css/image-gallery.css");
var strings = require("bannerWpStrings");
var BannerWp = (function (_super) {
    __extends(BannerWp, _super);
    function BannerWp(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            listId: _this.props.imgListId,
            imgs: _this._getImagesURLFromSP(_this.props.imgListId)
        };
        return _this;
    }
    BannerWp.prototype.render = function () {
        var images = this._setupImages();
        return (React.createElement("div", null,
            React.createElement(react_image_gallery_1.default, { items: images, slideInterval: this.props.scrollSpeed * 5000, showBullets: this.props.showBulletButtons, showThumbnails: this.props.showThumpnails, defaultImage: strings.WPDefaultURL })));
    };
    BannerWp.prototype.componentWillReceiveProps = function (nextProps) {
        if (this.state.listId !== nextProps.imgListId) {
            this.state.imgs = this._getImagesURLFromSP(nextProps.imgListId);
            this.state.listId = nextProps.imgListId;
        }
    };
    BannerWp.prototype._setupImages = function () {
        var _this = this;
        var items = this.state.imgs.map(function (item, i) { return ({
            original: _this.state.imgs[i].src,
            thumbnail: _this.state.imgs[i].src,
            description: _this.state.imgs[i].description
        }); });
        return items;
    };
    BannerWp.prototype._setDefaultImage = function () {
        return {
            id: undefined,
            src: strings.WPDefaultURL,
            isAtive: undefined,
            description: strings.WPDefaultDescription
        };
    };
    BannerWp.prototype._getImages = function (items, list) {
        for (var i = 0; i < items.length; i++) {
            debugger;
            list.push({
                id: items[i].GUID,
                src: undefined,
                isAtive: items[i].Ativo,
                description: items[i].Title
            });
        }
    };
    BannerWp.prototype._getUrls = function (items, list) {
        debugger;
        for (var i = 0; i < items.length; i++) {
            list[i].src = items[i].EncodedAbsUrl;
        }
        this.state.imgs = list;
        this.setState(this.state);
    };
    BannerWp.prototype._getImagesURLFromSP = function (listId) {
        var _this = this;
        var imgList;
        imgList = [];
        if (listId != null) {
            pnp.sp.web.lists.getById(listId).items.filter('Ativo eq 1').get().then(function (items) { return _this._getImages(items, imgList); })
                .then(function () {
                pnp.sp.web.lists.getById(listId).items.filter('Ativo eq 1').select('EncodedAbsUrl').get()
                    .then(function (items) { return _this._getUrls(items, imgList); });
            }).catch(function () {
                imgList.push(_this._setDefaultImage());
            });
        }
        else {
            imgList.push(this._setDefaultImage());
        }
        return imgList;
    };
    return BannerWp;
}(React.Component));
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = BannerWp;

//# sourceMappingURL=BannerWp.js.map
